Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IAIExporter

    java.lang.Object
      igeo.io.IAIExporter

     class IAIExporter

extends java.lang.Object

Adobe Illustrator file exporter

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `IAIExporter.CapType`
`static class` | `IAIExporter.IViewSort`
`static class` | `IAIExporter.JoinType`

Field Summary
`static double` | `defaultLineWeight`
`static double` | `defaultPointWeight`
`static java.text.NumberFormat` | `f`
`static double` | `internalScaleFactor`
`static double` | `internalXShift`
`static double` | `internalYShift`
`static double` | `minimumPoint`
`static boolean` | `writeOutlineWhenMesh`
`static boolean` | `writeSubsurfaceAsMesh`

Constructor Summary
`IAIExporter()`

Method Summary
`static void` | `convertCoordinates(IVec2 pt, double scale, IView view)`
`static IVec2` | `convertTo2DPoint(IVecI pt, double scale, IView view)`
`static java.util.ArrayList<java.util.ArrayList<IVec2>>` | `convertTo2DPoints(ICurveI curve, double scale, IView view)`
`static java.util.ArrayList<java.util.ArrayList<IVec2>>` | `createPolylinePointArrayList(IVec2[] pts)`
`static void` | `endCompoundPath(java.io.PrintStream ps)`
`static void` | `endGroup(java.io.PrintStream ps)`
`static void` | `endLayer(java.io.PrintStream ps)`
`static void` | `endMask(java.io.PrintStream ps)`
`static java.lang.String` | `getByteString(int b)`
`static char` | `getHex(int h)`
`static IVec2` | `getIntersection(IVec2 base1, IVec2 dir1, IVec2 base2, IVec2 dir2)`
`static java.lang.String` | `getOctaString(char c)`
`static java.lang.String` | `getRGBString(int[] pixel, int x, int y, int w)`
`static void` | `initFormat()`
`static java.util.ArrayList<IObject>` | `sortObjectsByView(java.util.ArrayList<IObject> objects, IView view)`
`static void` | `startCompoundPath(java.io.PrintStream ps)`
`static void` | `startGroup(java.io.PrintStream ps)`
`static void` | `startLayer(java.io.PrintStream ps, java.lang.String layerName, int layerColorIndex, boolean enableMask)`
`static void` | `startMask(java.io.PrintStream ps)`
`static boolean` | `write(java.io.File file, IServerI server, double scale)`
`static void` | `write(java.io.PrintStream ps, java.util.ArrayList<IObject> objects, double scale, IView view)`
`static void` | `writeFooter(java.io.PrintStream ps)`
`static void` | `writeHeader(java.io.PrintStream ps)`
`static void` | `writeNurbsCurve(java.io.PrintStream ps, ICurveI curve, double scale, IView view)`
`static void` | `writePaintStyle(java.io.PrintStream ps, IColor fillColor, IColor strokeColor, double lineWidth)`
`static void` | `writePaintStyle(java.io.PrintStream ps, IColor fillColor, IColor strokeColor, double lineWidth, IAIExporter.CapType capType, IAIExporter.JoinType joinType)`
`static void` | `writePoint(java.io.PrintStream ps, IVecI point, double scale, IView view)`
`static void` | `writePointPath(java.io.PrintStream ps, IVec2 pt)`
`static void` | `writePolylinePath(java.io.PrintStream ps, java.util.ArrayList<IVec2> pts, boolean newline)`
`static void` | `writePolylinePaths(java.io.PrintStream ps, java.util.ArrayList<java.util.ArrayList<IVec2>> pts, boolean newline)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minimumPoint

    public static double minimumPoint

### defaultLineWeight

    public static double defaultLineWeight

### defaultPointWeight

    public static double defaultPointWeight

### writeSubsurfaceAsMesh

    public static boolean writeSubsurfaceAsMesh

### writeOutlineWhenMesh

    public static boolean writeOutlineWhenMesh

### internalScaleFactor

    public static double internalScaleFactor

### internalXShift

    public static double internalXShift

### internalYShift

    public static double internalYShift

### f

    public static java.text.NumberFormat f

Constructor Detail

### IAIExporter

    IAIExporter()

Method Detail

### initFormat

    public static void initFormat()

### writeHeader

    public static void writeHeader(java.io.PrintStream ps)

### convertCoordinates

    public static void convertCoordinates(IVec2 pt,
                                          double scale,
                                          IView view)

### writePolylinePaths

    public static void writePolylinePaths(java.io.PrintStream ps,
                                          java.util.ArrayList<java.util.ArrayList<IVec2>> pts,
                                          boolean newline)

### writePolylinePath

    public static void writePolylinePath(java.io.PrintStream ps,
                                         java.util.ArrayList<IVec2> pts,
                                         boolean newline)

### writePointPath

    public static void writePointPath(java.io.PrintStream ps,
                                      IVec2 pt)

### createPolylinePointArrayList

    public static java.util.ArrayList<java.util.ArrayList<IVec2>> createPolylinePointArrayList(IVec2[] pts)

### writePaintStyle

    public static void writePaintStyle(java.io.PrintStream ps,
                                       IColor fillColor,
                                       IColor strokeColor,
                                       double lineWidth,
                                       IAIExporter.CapType capType,
                                       IAIExporter.JoinType joinType)

### writePaintStyle

    public static void writePaintStyle(java.io.PrintStream ps,
                                       IColor fillColor,
                                       IColor strokeColor,
                                       double lineWidth)

### convertTo2DPoints

    public static java.util.ArrayList<java.util.ArrayList<IVec2>> convertTo2DPoints(ICurveI curve,
                                                                                    double scale,
                                                                                    IView view)

### convertTo2DPoint

    public static IVec2 convertTo2DPoint(IVecI pt,
                                         double scale,
                                         IView view)

### writePoint

    public static void writePoint(java.io.PrintStream ps,
                                  IVecI point,
                                  double scale,
                                  IView view)

### writeNurbsCurve

    public static void writeNurbsCurve(java.io.PrintStream ps,
                                       ICurveI curve,
                                       double scale,
                                       IView view)

### startCompoundPath

    public static void startCompoundPath(java.io.PrintStream ps)

### endCompoundPath

    public static void endCompoundPath(java.io.PrintStream ps)

### getRGBString

    public static java.lang.String getRGBString(int[] pixel,
                                                int x,
                                                int y,
                                                int w)

### getByteString

    public static java.lang.String getByteString(int b)

### getHex

    public static char getHex(int h)

### startLayer

    public static void startLayer(java.io.PrintStream ps,
                                  java.lang.String layerName,
                                  int layerColorIndex,
                                  boolean enableMask)

### endLayer

    public static void endLayer(java.io.PrintStream ps)

### startMask

    public static void startMask(java.io.PrintStream ps)

### endMask

    public static void endMask(java.io.PrintStream ps)

### startGroup

    public static void startGroup(java.io.PrintStream ps)

### endGroup

    public static void endGroup(java.io.PrintStream ps)

### writeFooter

    public static void writeFooter(java.io.PrintStream ps)

### getIntersection

    public static IVec2 getIntersection(IVec2 base1,
                                        IVec2 dir1,
                                        IVec2 base2,
                                        IVec2 dir2)

### getOctaString

    public static java.lang.String getOctaString(char c)

### write

    public static boolean write(java.io.File file,
                                IServerI server,
                                double scale)

### sortObjectsByView

    public static java.util.ArrayList<IObject> sortObjectsByView(java.util.ArrayList<IObject> objects,
                                                                 IView view)

### write

    public static void write(java.io.PrintStream ps,
                             java.util.ArrayList<IObject> objects,
                             double scale,
                             IView view)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD